import { Map } from './map';
import type { Options } from './options';
declare type Mapping = (map: Map) => Record<string, unknown> | Record<string, unknown>[];
declare type Mapper = (mapping: Mapping) => <T>(source: Record<string, unknown | unknown[]> | Record<string, unknown | unknown[]>[], options?: Options) => T extends [] ? T[] : T;
declare const mapper: Mapper;
export type { Mapper, Mapping };
export default mapper;
