/**
 * Returns a string with the data type from given value.
 * @example
 * typeOf('hello');       // output: string
 * typeOf(function() {}); // output: function
 * typeOf(new Date());    // output: date
 * @param value
 * @return {string}
 */
declare const typeOf: <T>(value: T) => string;
export default typeOf;
